# @lfk/documentation

The documentation for the LfK! 'Läufersystem'.
Powered by Hugo.

The main language for the content is German (since our primary target audience is the Lauf für Kaya! Team at a local German school) but every page has an English translation.

## Quickstart 🐳

> Use this to run the documentation server via docker.

1. Clone the repo or copy the docker-compose.yml
2. Cd into the folder containing the docker-compose.yml
3. Run docker-compose: `docker-compose up -d`
4. Visit <http://127.0.0.1:8080/> to check if the server is running

## Dev Setup 🛠

> Local dev setup for previewing changes.

1. Clone the repo
2. Install Hugo: `brew install hugo` or `winget install hugo.hugo.extended`
3. Start the dev server: `hugo server --buildDrafts --disableFastRender`

### Recommended Editor

[Visual Studio Code](https://code.visualstudio.com/)
