---
linkTitle: "Scannerstationen"
title: "About the Scanner Stations"
weight: 1
prev: /
next: /scanstation/install
cascade:
  type: docs
lang: en
---

The scanner station is the combination of hardware and software used to scan runner cards and record the distances run in the system.
We do not prescribe any specific hardware or software - but we do provide our own software and recommend hardware.

The API for scanner stations in the runner system is designed to capture and validate scans live (runner, track, lap time).

## Operation

{{< callout type="info" >}}
  Operation can only be performed after [configuration](./config).
{{< /callout >}}

Operating the software as a helper at the scanner station is relatively simple.

{{% steps %}}

### Scanning

Hold the handheld scanner over the barcode of the runner card and wait for the confirmation tone.

### Validation

Look at the screen of your scanner station to see if the scan was valid.
The current kilometer count and lap time are also displayed here.

{{% /steps %}}
