---
title: Donors
weight: 8
lang: en
---

Sponsors are the donors who support the Run for Kaya! with a fixed amount or a per-kilometer donation.
Together with the [sponsorships](../donations), they form the cornerstone of donation management and accounting.

## Sponsor Overview

> A brief overview of the functions of the sponsor overview.

The sponsor overview lists all sponsors registered in the system.
From here, you can add, edit, or delete individual sponsors.

In addition to the name and contact information, all sponsorships (fixed amount donations, per-kilometer donations) of the sponsor are also listed (and linked) here.
The total donation amount of all sponsorships of the sponsor is also listed here.

There is also a search function that allows you to search for sponsor names and IDs.

## Creating

To create a new sponsor, open the `Sponsors` page in the runner system.
You can add a new sponsor via the `Add Sponsor` button.
You need to provide a first name and last name.
Additionally, you can provide a middle name (second first name), a phone number, and an email address.
If the sponsor needs a donation receipt, you can check the `Donation receipt needed` box and enter the sponsor's address.
Once you have entered everything, you can create the sponsor with the `Create` button.

## Editing

To edit a sponsor, you can click the `Details` button for the desired sponsor in the sponsor overview.
In the overview for the sponsor, you can now edit the first name, middle name, last name, as well as the phone number, email address, and address (donation receipt needed).
When you are finished, simply click `Save changes`.

## Deleting

You can delete a sponsor either from the sponsor overview or the sponsor detail view.

### In the Sponsor Overview

Click the `Delete` button for the desired sponsor.
You will then be asked if you really want to delete the sponsor or cancel.

### In the Sponsor Detail View

Click the `Details` button for the desired sponsor.
At the top of the page, there is now a `Delete Sponsor` button.
You will then be asked if you really want to delete the sponsor or cancel.

### Sponsor with Sponsorships

If the sponsor still has sponsorships, a warning will appear after confirming the deletion.
Here you must confirm the deletion including all sponsorships again, or you can cancel.
