---
title: Die Dokumentation für das LfK! Läufersystem
layout: hextra-home
lang: de
---
{{< hextra/hero-badge >}}
  <div class="hx-w-2 hx-h-2 hx-rounded-full hx-bg-primary-400"></div>
  <span>Kostenlos, open source</span>
  {{< icon name="arrow-circle-right" attributes="height=14" >}}
{{< /hextra/hero-badge >}}

<div class="hx-mt-6 hx-mb-6">
{{< hextra/hero-headline >}}
  Dokumentation des LfK! Läufersystems.
{{< /hextra/hero-headline >}}
</div>

<div class="hx-mb-12">
{{< hextra/hero-subtitle >}}
  Hier findest du alle Informationen, die du benötigst, um das LfK! Läufersystem zu installieren, zu konfigurieren und zu nutzen.
{{< /hextra/hero-subtitle >}}
</div>

<div class="hx-mb-6">
{{< hextra/hero-button text="Schnellstart für Nutzer 👉" link="./user" >}}
</div>

{{< hextra/feature-grid >}}
  {{< hextra/feature-card
    title="Anwenderdoku"
    subtitle="Orgs, Teams und Läufer:innen anlegen, verwalten und mehr."
    style="background: radial-gradient(ellipse at 50% 80%,rgba(194,97,254,0.15),hsla(0,0%,100%,0));"
    link="./user"
  >}}
  {{< hextra/feature-card
    title="Admindoku"
    subtitle="Installation, Konfiguration und Bedienung des Läufersystems."
    style="background: radial-gradient(ellipse at 50% 80%,rgba(142,53,74,0.15),hsla(0,0%,100%,0));"
    link="./admin"
  >}}
  {{< hextra/feature-card
    title="Selfservice"
    subtitle="Portal für Bürger- und Firmenläufer:innen."
    style="background: radial-gradient(ellipse at 50% 80%,rgba(221,210,59,0.15),hsla(0,0%,100%,0));"
    link="./selfservice"
  >}}
  {{< hextra/feature-card
    title="Scannerstationen"
    subtitle="Karten scannen, Kilometer und erfassen. Bedienung, Hardware und Software."
    style="background: radial-gradient(ellipse at 50% 80%,rgba(59,221,210,0.15),hsla(0,0%,100%,0));"
    link="./scanstation"
  >}}
  {{< hextra/feature-card
    title="Kiosk"
    subtitle="Anmeldekiosk für den Bürgerlauf vor Ort."
    style="background: radial-gradient(ellipse at 50% 80%,rgba(53,142,74,0.15),hsla(0,0%,100%,0));"
    link="./kiosk"
  >}}
  {{< hextra/feature-card
    title="Beamershow"
    subtitle="Aktuelle Statistiken und Toplisten zum Event."
    style="background: radial-gradient(ellipse at 50% 80%,rgba(97,254,97,0.15),hsla(0,0%,100%,0));"
    link="./beamershow"
  >}}
{{< /hextra/feature-grid >}}