---
title: Scanner Station Configuration
weight: 3
prev: /scanstation/install
lang: en
---

## Start

{{% steps %}}

### API Endpoint

When you open the Scanclient software, you will first be asked for an API endpoint.
Here you need to enter the URL of your LfK backend (e.g., `https://lauf-fuer-kaya.de`).

### Client Token

Next, you will be asked for a Client Token.
The setup is described under [Create Token](../../user/scanstations).

### Confirm

If you made a typo in the API endpoint, you can enter `rst` instead of a Client Token to set it again.
Once you have entered the token, you can click the "Configure" button and the Scanclient will start.

{{% /steps %}}

## Change Configuration

{{% steps %}}

### Start Config Mode

Type `cnf` in the runner card field and press Enter.

### Config Mode

Now the configuration overview opens, listing all the details of the configured scanner station.

### Save Settings

When you are done, you can switch back to scan mode by clicking the "Back to Scanner" button.

### Log Out

If you want to log out the software from the runner system or change the token, click on "Log out from this Client".

{{% /steps %}}
