---
title: Teams
weight: 4
lang: en
---
Runner teams are the subgroups of the group system for runners.
A team can be a class, department, group, or similar.

Runners can be assigned to a team, which in turn belongs to an organization (more about organizations can be found [here](../orgs)).
An organization/team can be assigned a contact, more about that can be found [here](../contacts)).

## Creating

{{< callout type="warning" >}}
  Warning: To create a team, you must first create the parent organization for the team.
{{< /callout >}}

To create a new team, open the `Teams` page in the runner system.
You can create a new team using the `Create Team` button.
You can give the team a name and select which organization the team belongs to.

## Editing

To edit a team, you can click the `Details` button for the desired team in the team overview.
In the overview for this team, you can now change the name, parent organization, and contact of the team.
When you are finished, simply click `Save Changes`.

## Deleting

You can delete a team either from the team overview or the team detail view.

### In the Team Overview

Click the `Delete` button for the desired team.
You will then be asked if you really want to delete the team or cancel.

### In the Team Detail View

Click the `Details` button for the desired team.
At the top of the page, there is now a `Delete Team` button.
You will then be asked if you really want to delete the team or cancel.

### Teams with Runners

If the team still has runners, a warning will appear after confirming the deletion.
Here you must confirm the deletion including all runners again, or you can cancel.
